> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uqpay.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a balance

> This endpoint returns a balance based on the currency.

### Header

<ParamField header="x-client-id" type="string" required>
  `x-client-id`.
</ParamField>

<ParamField header="x-auth-token" type="string" required>
  Bearer `YOUR_TOKEN_HERE`.
</ParamField>

### Parameters

<ParamField path="currency" type="string" required>
  Currency of the balance.<br />
  Three-letter [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code.
</ParamField>

### Response

<ResponseField name="code" type="number">
  Indicates whether the call was successful. 200 if successful, 400 if not.
</ResponseField>

<ResponseField name="message" type="string">
  Response Message. "Success" if successful, others not.
</ResponseField>

<ResponseField name="data" type="object">
  <Expandable title="details" defaultOpen>
    <ResponseField name="available_balance" type="string">
      Available balance. Customer deposits will be added to the available balance once processed, including any settled conversions bought in this currency.
    </ResponseField>

    <ResponseField name="balance_id" type="string">
      ID of the balance.
    </ResponseField>

    <ResponseField name="currency" type="string">
      Currency of the account balance.<br />
      Three-letter [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code.
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL Example Request theme={null}
  curl 'https://api.sandbox.uqpay.org/api/v1/balances/retrieve/SGD' \
  -H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
  -H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "code": 200,
      "message": "Success",
      "data": {
          "available_balance": "742",
          "balance_id": "b8241d83-b849-49c5-ac20-c2c311953577",
          "currency": "SGD"
      }
  }
  ```
</ResponseExample>
